from Globals import package_home
from Products.PythonScripts.PythonScript import PythonScript
from OFS.Image import File
import os

def _filter(name) :
	f,ext = os.path.splitext(name)
	return ext.lower() in ['.py',]

def _filtered_listdir(path):
	fl = os.listdir(path)
	n = filter(_filter,fl)
	return n

def getAllDirectoryPythonScript(homeP,dir) :
	""" get all page template under products home + dir path """
	#homeP = globals()
	if type(homeP) is not type('') :
		homeP = package_home(homeP)

	path = os.path.join(homeP,dir)
	if not os.path.exists(path) :
		return []
	fs = _filtered_listdir(path)
	pages=[]
	for f in fs :
		pth = os.path.join(homeP,dir,f)
		fd = open(pth,'rb')
		text = fd.read()
		fd.close()
		id,ext = os.path.splitext(f)
		p = PythonScript(id)
		p.write(text)
		p.__name__ = id
		if p is not None :
			pages.append(p)
	return pages
