from Globals import package_home,DTMLFile
import os

def _filter(name) :
	f,ext = os.path.splitext(name)
	return ext.lower() == '.dtml'

def _filtered_listdir(path):
	fl = os.listdir(path)
	n = filter(_filter,fl)
	return n

def getAllDirectoryDTML(homeP,dir) :
	""" get all page template under products home + dir path """
	#homeP = globals()
	if type(homeP) is not type('') :
		homeP = package_home(homeP)

	path = os.path.join(homeP,dir)
	if not os.path.exists(path) :
		return []
	fs = _filtered_listdir(path)
	pages=[]
	for f in fs :
		p = DTMLFile('%s/%s' % (dir,f),homeP)
		if p is not None :
			pages.append(p)
	return pages
